# Deals sharing

Deals sharing in Prism / Objects / Deals — Micro Python reference.

Reference for Python SDK **0.8.0**.

[Release source](https://github.com/micro-so/micro-sdk-py/blob/v0.8.0/api.md) · [Setup and client configuration](/docs/reference/python)

## update

`PUT /v2/prism/{teamId}/deal/{dealId}/grant`

````text
client.prism.objects.deals.grant.update(deal_id, *, path_team_id, **params) -> GrantUpdateResponse
````

Update grant

## get

`GET /v2/prism/{teamId}/deal/{dealId}/grant`

````text
client.prism.objects.deals.grant.get(deal_id, *, team_id) -> GrantGetResponse
````

Get grant

## Parameter and response types

These declarations show the request parameters and response shapes used by the methods above.

### GrantUpdateParams

[Source](https://github.com/micro-so/micro-sdk-py/blob/v0.8.0/src/micro_so/types/prism/objects/deals/grant_update_params.py)

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `path_team_id` | `str` | No | API name: `teamId`. |
| `team_group_id` | `Iterable[Dict[str, Literal["a", "r", "w"]]]` | No | — |
| `body_team_id` | `Annotated[Dict[str, Literal["a", "r", "w"]], PropertyInfo(alias="team_id")]` | No | API name: `team_id`. |
| `user_id` | `Iterable[Dict[str, Literal["a", "r", "w"]]]` | No | — |
| `idempotency_key` | `str` | No | API name: `Idempotency-Key`. |

### GrantUpdateResponse

[Source](https://github.com/micro-so/micro-sdk-py/blob/v0.8.0/src/micro_so/types/prism/objects/deals/grant_update_response.py)

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `team_group_id` | `Optional[List[Dict[str, Literal["a", "r", "w"]]]]` | No | — |
| `team_id` | `Optional[Dict[str, Literal["a", "r", "w"]]]` | No | — |
| `user_id` | `Optional[List[Dict[str, Literal["a", "r", "w"]]]]` | No | — |

### GrantGetResponse

[Source](https://github.com/micro-so/micro-sdk-py/blob/v0.8.0/src/micro_so/types/prism/objects/deals/grant_get_response.py)

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `team_group_id` | `Optional[List[Dict[str, Literal["a", "r", "w"]]]]` | No | — |
| `team_id` | `Optional[Dict[str, Literal["a", "r", "w"]]]` | No | — |
| `user_id` | `Optional[List[Dict[str, Literal["a", "r", "w"]]]]` | No | — |
